# RPM specfile for the CollectHacks package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)CollectHacks.spec	1.12 12/27/10 13:56:00
# Note that the version number (1.12 - SCCS %-I-% (sans -)) of this file defines the package version #. It is used in the Makefile.

%define name CollectHacks
%define version 1.12
%define release 1.1

Summary: Collect files by name pattern into one directory
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.phcomp.co.uk/Downloads/CollectHacks-%{version}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}
BuildArchitectures: noarch

License: GPL

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
Requires: ksh coreutils sed grep mlocate
%else
Requires: pdksh coreutils sed grep mlocate
%endif
BuildRequires: make

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
Collect files by pattern of name into one directory.
This is to make it easy to copy them somewhere for archiving, or something.

%prep
%setup -q

%build
%install
# RPM_BUILD_ROOT is set by BuildRoot: above

rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/CollectHacks
%doc TODO Hacks License Contributors README
%{_mandir}/man*/CollectHacks.*

%changelog
* Mon Dec 27 2010 Alain Williams <addw@phcomp.co.uk>
- Wrap up small changes - argument processing
* Fri Aug 07 2009 Alain Williams <addw@phcomp.co.uk>
- Implement -p option - prefix on destination files
  Make copies not relative to the -d directory -- but where you started from
  Ignore blank lines & comments in -f file
  Documentation improve.
* Tue Jul 28 2009 Alain Williams <addw@phcomp.co.uk>
- --help option processed correctly
  Documentation improved.
* Thu Dec 24 2008 Alain Williams <addw@phcomp.co.uk>
- First attempt
